Skip to main content
`Ctrl`+`K`
scipy.interpolate.BPoly.

# antiderivative

BPoly.antiderivative(nu=1)

  Construct a new piecewise polynomial representing the antiderivative.

  Parameters:
    nu int, optional

      Order of antiderivative to evaluate. Default is 1, i.e., compute the first integral. If negative, the derivative is returned.

  Returns:
    bp BPoly

      Piecewise polynomial of order k + nu representing the antiderivative of this polynomial.

  Notes

  If antiderivative is computed and `self.extrapolate='periodic'`, it will be set to False for the returned instance. This is done because the antiderivative is no longer periodic and its correct evaluation outside of the initially given x interval is difficult.